# &kde;:s användarhandbok

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

2008-10-03
0.01.01
kdeinit4
8

# `kdeinit4`

Starta alla andra &kde;-program och kdeinit laddningsbara moduler (KLM:er).

## Översikt

    kdeinit4 --help  --no-fork --no-kded --suicide   +program program

## Beskrivning

kdeinit4 är ett startprogram av processer som något liknar det berömda programmet `init` som används för att starta Unix. Det kör &kde;-program och kdeinit laddningsbara moduler (KLM:er), som startas effektivare.

Att använda kdeinit4 för att starta &kde;-program gör att ett typiskt &kde;-program startar ett antal gånger snabbare och reducerar minnesåtgång med en avsevärd mängd.

kdeinit4 är länkat med alla bibliotek som ett typiskt &kde;-program behöver. Med denna teknik går det mycket fortare att starta ett program, eftersom bara själva programmet måste länkas, medan annars programmet samt alla bibliotek det använder måste länkas.

## Nackdelar

Processnamnet för program som startas via kdeinit4 är "kdeinit4". Problemet kan delvis lösas genom att ändra programnamnet som visas av `ps`. Dock ser program som `killall` bara kdeinit4 som processnamn. För att komma runt det, använd `kdekillall` (från kdesdk/scripts) för program startade via kdeinit4.

## Väljare

`--help`

  Visa hjälp om väljare

`--no-fork`

  Starta inte en ny process, dvs. avsluta inte förrän programmen som körs avslutas

`--no-kded`

  Starta inte kded

`--suicide`

  Avsluta när inga KDE-program finns kvar som kör

`+program`

  kör program och hantera begäran

`program`

  kör program utan att hantera någon begäran

## Användning

Ett vanligt sätt att köra programmet är att helt enkelt ange följande kommando ``kdeinit4` program` eller ``kdeinit4` +program`

## Filer

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Miljövariabler

$`HOME`

  Anger nuvarande användares hemkatalog

$`KDE_HOME_READONLY`

  Anger om nuvarande användares hemkatalog är skrivskyddad

$`KDE_IS_PRELINKED`

  Om angiven, talar om för kdeinit4 att &kde;-program är förlänkade.

  (Förlänkning är en process som gör det möjligt att snabba upp den dynamiska länkningsprocessen.)

$`KDE_DISPLAY`

  Om angiven, talar om för kdeinit4 att det kör på ett &kde;-skrivbord.

## Se också

kded, kdekillall

## Fel

Det finns troligen en massa fel. Använd bugs.kde.org för att rapportera dem.